package com.chameth.yaotp.accounts

import com.chameth.yaotp.algos.HotpParams
import com.chameth.yaotp.algos.TotpParams

sealed class Account(val label: String, val issuer: String? = null)
class HotpAccount(label: String, issuer: String?, val counter: Long, val params: HotpParams) : Account(label, issuer)
class TotpAccount(label: String, issuer: String?, val params: TotpParams) : Account(label, issuer)
